Bug 180508 - ftp/pftpd: Update to version 1.0.3
Summary: ftp/pftpd: Update to version 1.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-12 19:10 UTC by tkato432
Modified: 2013-07-16 06:50 UTC (History)
0 users

See Also:


Attachments
file.diff (4.25 KB, patch)
2013-07-12 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-07-12 19:10:03 UTC
- Update to version 1.0.3
Comment 1 Edwin Groothuis freebsd_committer 2013-07-12 19:10:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-16 06:47:18 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-07-16 06:47:18 UTC
Author: miwi
Date: Tue Jul 16 05:47:05 2013
New Revision: 323094
URL: http://svnweb.freebsd.org/changeset/ports/323094

Log:
  - Update to 1.0.3
  
  PR:		180508
  Submitted by:	ports fury

Modified:
  head/ftp/pftpd/Makefile   (contents, props changed)
  head/ftp/pftpd/distinfo   (contents, props changed)
  head/ftp/pftpd/files/patch-plib-support.c   (contents, props changed)
  head/ftp/pftpd/files/patch-src_rpa.c   (contents, props changed)

Modified: head/ftp/pftpd/Makefile
==============================================================================
--- head/ftp/pftpd/Makefile	Tue Jul 16 05:46:30 2013	(r323093)
+++ head/ftp/pftpd/Makefile	Tue Jul 16 05:47:05 2013	(r323094)
@@ -1,15 +1,10 @@
-# New ports collection makefile for:	vsftpd
-# Date created:				17 Mar 2002
-# Whom:					Gea-Suan Lin <gslin@ccca.nctu.edu.tw>
-#
+# Created by: Gea-Suan Lin <gslin@ccca.nctu.edu.tw>
 # $FreeBSD$
-#
 
 PORTNAME=	pftpd
-PORTVERSION=	1.0.2
+PORTVERSION=	1.0.3
 CATEGORIES=	ftp
-MASTER_SITES=	ftp://ftp.lysator.liu.se/pub/unix/pftpd/ \
-		ftp://ftp.ifm.liu.se/pub/unix/pftpd/
+MASTER_SITES=	ftp://ftp.ifm.liu.se/pub/unix/pftpd/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Multithreaded anonymous FTP daemon
@@ -20,19 +15,13 @@ MAKE_JOBS_UNSAFE=	yes
 MAN1=		pftpd.1 rpad.1
 PLIST_FILES=	sbin/pftpd
 
-post-extract:
-.for f in ${MAN1}
-	@${TOUCH} ${TOUCH_FLAGS} ${WRKSRC}/doc/${f}
-.endfor
-
 post-patch:
-	@${REINPLACE_CMD} -e 's|mktemp|mkstemp|g' \
-		${WRKSRC}/src/rpa.c
-	@${REINPLACE_CMD} -e 's|-lpthread|${PTHREAD_LIBS}|g' \
-		${WRKSRC}/configure \
-		${WRKSRC}/plib/configure
+	@${FIND} ${WRKSRC} -name "configure" | ${XARGS} ${REINPLACE_CMD} -e \
+		's|-lpthread|${PTHREAD_LIBS}|g'
 
-post-install:
+do-install:
+	(cd ${WRKSRC}/src && ${INSTALL_PROGRAM} pftpd ${PREFIX}/sbin)
+	(cd ${WRKSRC}/doc && ${INSTALL_MAN} *.1 ${MANPREFIX}/man/man1)
 	@${CAT} ${WRKSRC}/ISSUES
 
 .include <bsd.port.mk>

Modified: head/ftp/pftpd/distinfo
==============================================================================
--- head/ftp/pftpd/distinfo	Tue Jul 16 05:46:30 2013	(r323093)
+++ head/ftp/pftpd/distinfo	Tue Jul 16 05:47:05 2013	(r323094)
@@ -1,2 +1,2 @@
-SHA256 (pftpd-1.0.2.tar.gz) = 9067f957b408dd2ac2760adc869f8c2f5fc85530c0c27eefde00d38ea2705913
-SIZE (pftpd-1.0.2.tar.gz) = 273656
+SHA256 (pftpd-1.0.3.tar.gz) = 2e60df82de5302d904823287931ac6b001bee0fea0de3155fadc0b70cfbf444e
+SIZE (pftpd-1.0.3.tar.gz) = 234154

Modified: head/ftp/pftpd/files/patch-plib-support.c
==============================================================================
--- head/ftp/pftpd/files/patch-plib-support.c	Tue Jul 16 05:46:30 2013	(r323093)
+++ head/ftp/pftpd/files/patch-plib-support.c	Tue Jul 16 05:47:05 2013	(r323094)
@@ -1,18 +1,32 @@
---- plib/support.c.orig	Thu Jan  9 14:25:01 2003
-+++ plib/support.c	Mon May 23 20:46:01 2005
-@@ -145,6 +145,15 @@
-     pthread_mutex_init(&pwd_lock, NULL);
- }
+--- plib/support.c.orig	Thu Jan  9 22:25:01 2003
++++ plib/support.c	Wed Apr  6 00:38:41 2005
+@@ -369,11 +369,13 @@
+     return code;
+     
+ #else
++    pthread_once_t grp_once;
++    pthread_mutex_t grp_lock;
+     struct group *gp;
+     int i, len;
  
-+static pthread_mutex_t grp_lock;
-+static pthread_once_t grp_once = PTHREAD_ONCE_INIT;
-+
-+static void
-+grp_lock_init(void)
-+{
-+    pthread_mutex_init(&grp_lock, NULL);
-+}
-+
- static char *
- strcopy(const char *str, char **buf, size_t *avail)
- {
+     
+-    pthread_once(&grp_once, grp_lock_init);
++    pthread_once(&grp_once, NULL);
+     pthread_mutex_lock(&grp_lock);
+ 
+     gp = getgrgid(gid);
+@@ -452,11 +454,13 @@
+     return code;
+     
+ #else
++    pthread_once_t grp_once;
++    pthread_mutex_t grp_lock;
+     struct group *gp;
+     int i, len;
+ 
+     
+-    pthread_once(&grp_once, grp_lock_init);
++    pthread_once(&grp_once, NULL);
+     pthread_mutex_lock(&grp_lock);
+ 
+     gp = getgrnam(name);

Modified: head/ftp/pftpd/files/patch-src_rpa.c
==============================================================================
--- head/ftp/pftpd/files/patch-src_rpa.c	Tue Jul 16 05:46:30 2013	(r323093)
+++ head/ftp/pftpd/files/patch-src_rpa.c	Tue Jul 16 05:47:05 2013	(r323094)
@@ -9,7 +9,15 @@
  
  #ifdef HAVE_UNISTD_H
  #include <unistd.h>
-@@ -196,7 +196,7 @@
+@@ -198,14 +198,14 @@
+     }
+     
+     strcpy(path, "/var/tmp/rpa.XXXXXX");
+-    mktemp(path);
++    mkstemp(path);
+     if (!path[0])
+     {
+ 	syslog(LOG_ERR, "rpa_unix_open: unable to create local socket name");
  	goto Fail;
      }
      
@@ -18,7 +26,7 @@
      usb.sun_family = AF_UNIX;
      strcpy(usb.sun_path, path);
      
-@@ -210,7 +210,7 @@
+@@ -219,7 +219,7 @@
      
      s_snprintf(path, sizeof(path), "%s/%s/unix", PATH_RPAD_DIR, rp->service);
  
@@ -27,7 +35,7 @@
      usb.sun_family = AF_UNIX;
      strcpy(usb.sun_path, path);
      
-@@ -399,8 +399,6 @@
+@@ -408,8 +408,6 @@
      msg.msg_iov = iov;
      msg.msg_iovlen = 1;
      msg.msg_name = NULL;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"